Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225306 - Merge Review: avalon-logkit
Summary: Merge Review: avalon-logkit
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Permaine Cheung
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:09 UTC by Nobody's working on this, feel free to take it
Modified: 2008-12-12 22:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-12 22:21:33 UTC
overholt: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-29 21:09:42 UTC
Fedora Merge Review: avalon-logkit

http://cvs.fedora.redhat.com/viewcvs/devel/avalon-logkit/

Comment 1 Andrew Overholt 2007-02-08 23:06:36 UTC
I'll take this one.

Comment 2 Andrew Overholt 2007-02-09 00:59:53 UTC
MUST:
X rpmlint on avalon-logkit srpm gives no output

W: avalon-logkit non-standard-group Development/Libraries/Java

Perhaps:  System Environment/Libraries ?

* package is named appropriately
* specfile name matches %{name}
X package meets packaging guidelines.

. BuildRoot incorrect.  As per this:

http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot

it should be:

%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

. do we need section free?

* license field matches the actual license.
* license is open source-compatible.
* license text included in package and marked with %doc
* specfile written in American English
X specfile is legible
. do we still need the crazy gcj_support line?

X source files match upstream
. I can't find the tarball.  Also, Source0 can be the actual URL ending with the
tar.gz.

* package successfully compiles and builds on at least x86 (it's building on
the other arches in Fedora Core presently)

X BuildRequires are proper
. are things in coreutils (/bin/rm, /bin/ln) necessary in Requires(post{,un})?

* no locale data so no find_lang necessary
* package is not relocatable
X package owns all directories and files
. why is the javadoc symlink not just made in %install and then added to the
  %file section?
* no %files duplicates
* file permissions are fine; %defattrs present
* %clean present
* macro usage is consistent
* package contains code
* no large docs so no -doc subpackage
. javadoc package present
* %doc files don't affect runtime
* shared libraries are present, but no ldconfig required.
* no pkgconfig or header files
* no -devel package
* no .la files
* no desktop file
* not a web app.
* file ownership fine
* final provides and requires are sane

$ rpm -qp --provides i386/avalon-logkit-1.2-4jpp.4.fc7.i386.rpm 
avalon-logkit-1.2.jar.so  
avalon-logkit = 0:1.2-4jpp.4.fc7

$ rpm -qp --provides i386/avalon-logkit-javadoc-1.2-4jpp.4.fc7.i386.rpm 
avalon-logkit-javadoc = 0:1.2-4jpp.4.fc7

$ rpm -qp --requires i386/avalon-logkit-1.2-4jpp.4.fc7.i386.rpm 
/bin/sh  
/bin/sh  
avalon-framework >= 0:4.1.4
java-gcj-compat  
java-gcj-compat  
jdbc-stdext  
jms  
libc.so.6  
libc.so.6(GLIBC_2.1.3)  
libdl.so.2  
libgcc_s.so.1  
libgcc_s.so.1(GCC_3.0)  
libgcc_s.so.1(GLIBC_2.0)  
libgcj_bc.so.1  
libm.so.6  
libpthread.so.0  
librt.so.1  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
servlet  

$ rpm -qp --requires i386/avalon-logkit-javadoc-1.2-4jpp.4.fc7.i386.rpm 
/bin/ln  
/bin/rm  
/bin/rm  
/bin/sh  
/bin/sh  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1


SHOULD:
* package includes license text
* package builds on i386
  ... and others in brew ATM; I don't envision a problem here
X package functions
  . I don't know how to test this package
X package builds in mock
  my mock setup doesn't seem to be working but I don't anticipate any problems
  here as the package currently builds fine in brew

Comment 3 Permaine Cheung 2007-02-09 20:28:57 UTC
(In reply to comment #2)
> MUST:
> X rpmlint on avalon-logkit srpm gives no output
> 
> W: avalon-logkit non-standard-group Development/Libraries/Java
> 
> Perhaps:  System Environment/Libraries ?
> 

It seems acceptable to use Development/Libraries/Java as the Group field, please
see:
https://www.redhat.com/archives/fedora-packaging/2007-February/msg00070.html

> * package is named appropriately
> * specfile name matches %{name}
> X package meets packaging guidelines.
> 
> . BuildRoot incorrect.  As per this:
> 
> http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot
> 
> it should be:
> 
> %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 

Fixed.

> . do we need section free?
> 

Got rid of it.

> * license field matches the actual license.
> * license is open source-compatible.
> * license text included in package and marked with %doc
> * specfile written in American English
> X specfile is legible
> . do we still need the crazy gcj_support line?
> 

Yes, please see:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=226366#c5

> X source files match upstream
> . I can't find the tarball.  Also, Source0 can be the actual URL ending with the
> tar.gz.
> 

Fixed Source0 URL.

> * package successfully compiles and builds on at least x86 (it's building on
> the other arches in Fedora Core presently)
> 
> X BuildRequires are proper
> . are things in coreutils (/bin/rm, /bin/ln) necessary in Requires(post{,un})?
> 

Yes, please see:
https://www.redhat.com/archives/fedora-packaging/2007-February/msg00076.html

> * no locale data so no find_lang necessary
> * package is not relocatable
> X package owns all directories and files
> . why is the javadoc symlink not just made in %install and then added to the
>   %file section?

Please see the second part of the following comment:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225928#c5

> * no %files duplicates
> * file permissions are fine; %defattrs present
> * %clean present
> * macro usage is consistent
> * package contains code
> * no large docs so no -doc subpackage
> . javadoc package present
> * %doc files don't affect runtime
> * shared libraries are present, but no ldconfig required.
> * no pkgconfig or header files
> * no -devel package
> * no .la files
> * no desktop file
> * not a web app.
> * file ownership fine
> * final provides and requires are sane
> 
> $ rpm -qp --provides i386/avalon-logkit-1.2-4jpp.4.fc7.i386.rpm 
> avalon-logkit-1.2.jar.so  
> avalon-logkit = 0:1.2-4jpp.4.fc7
> 
> $ rpm -qp --provides i386/avalon-logkit-javadoc-1.2-4jpp.4.fc7.i386.rpm 
> avalon-logkit-javadoc = 0:1.2-4jpp.4.fc7
> 
> $ rpm -qp --requires i386/avalon-logkit-1.2-4jpp.4.fc7.i386.rpm 
> /bin/sh  
> /bin/sh  
> avalon-framework >= 0:4.1.4
> java-gcj-compat  
> java-gcj-compat  
> jdbc-stdext  
> jms  
> libc.so.6  
> libc.so.6(GLIBC_2.1.3)  
> libdl.so.2  
> libgcc_s.so.1  
> libgcc_s.so.1(GCC_3.0)  
> libgcc_s.so.1(GLIBC_2.0)  
> libgcj_bc.so.1  
> libm.so.6  
> libpthread.so.0  
> librt.so.1  
> libz.so.1  
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> rtld(GNU_HASH)  
> servlet  
> 
> $ rpm -qp --requires i386/avalon-logkit-javadoc-1.2-4jpp.4.fc7.i386.rpm 
> /bin/ln  
> /bin/rm  
> /bin/rm  
> /bin/sh  
> /bin/sh  
> rpmlib(CompressedFileNames) <= 3.0.4-1
> rpmlib(PayloadFilesHavePrefix) <= 4.0-1
> 
> 
> SHOULD:
> * package includes license text
> * package builds on i386
>   ... and others in brew ATM; I don't envision a problem here
> X package functions
>   . I don't know how to test this package

I've built avalon-framework (which has avalon-logkit as a BuildRequire) and it
builds fine.

> X package builds in mock
>   my mock setup doesn't seem to be working but I don't anticipate any problems
>   here as the package currently builds fine in brew

I did a scratch build in brew with the new spec file and it builds fine.

Comment 4 Andrew Overholt 2007-02-09 21:26:59 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > MUST:
> > X rpmlint on avalon-logkit srpm gives no output
> > 
> > W: avalon-logkit non-standard-group Development/Libraries/Java
> > 
> > Perhaps:  System Environment/Libraries ?
> > 
> 
> It seems acceptable to use Development/Libraries/Java as the Group field, please
> see:
> https://www.redhat.com/archives/fedora-packaging/2007-February/msg00070.html

Okay.

> > X package meets packaging guidelines.
> > 
> > . BuildRoot incorrect.  As per this:
> > 
> > http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot
> > 
> > it should be:
> > 
> > %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> > 
> 
> Fixed.

Great.

> > . do we need section free?
> > 
> 
> Got rid of it.

Sweet.

> > X specfile is legible
> > . do we still need the crazy gcj_support line?
> > 
> 
> Yes, please see:
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=226366#c5

Okay.

> > X source files match upstream
> > . I can't find the tarball.  Also, Source0 can be the actual URL ending with the
> > tar.gz.
> > 
> 
> Fixed Source0 URL.

Great.  The md5sums now match.

> > X BuildRequires are proper
> > . are things in coreutils (/bin/rm, /bin/ln) necessary in Requires(post{,un})?
> > 
> 
> Yes, please see:
> https://www.redhat.com/archives/fedora-packaging/2007-February/msg00076.html

Yup, sounds good.

> > X package owns all directories and files
> > . why is the javadoc symlink not just made in %install and then added to the
> >   %file section?
> 
> Please see the second part of the following comment:
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225928#c5

Okay.  I'd like to see this cleaned up but it isn't violating any rules so it's
fine.

> > SHOULD:
> > X package functions
> >   . I don't know how to test this package
> 
> I've built avalon-framework (which has avalon-logkit as a BuildRequire) and it
> builds fine.

Good.

> > X package builds in mock
> >   my mock setup doesn't seem to be working but I don't anticipate any problems
> >   here as the package currently builds fine in brew
> 
> I did a scratch build in brew with the new spec file and it builds fine.

Awesome.

APPROVED.  Thanks, Permaine :)

As per https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=225928#c7 , please
ebuild this package in Brew and when I've confirmed that the updated package has
hit Rawhide, I'll close this bug as RAWHIDE.

Comment 5 Till Maas 2008-12-12 22:21:33 UTC
It seems you forgot to close this bug.


Note You need to log in before you can comment on or make changes to this bug.